@import "https://unpkg.com/open-props/easings.min.css";
@import "https://unpkg.com/open-props/animations.min.css";

body {
  display: grid;
  place-items: center;
  place-content: center;
  min-block-size: 100vh;
  font-family: system-ui, sans-serif;
}

h1.container {
  inline-size: 100vw;
  font-size: 30vmin;
  text-align: center;
  margin: 0;
  view-transition-name: fade;
}

@media (prefers-reduced-motion: no-preference) {
  ::view-transition-old(fade) {
    animation: var(--animation-fade-out), var(--animation-scale-down);
  }

  ::view-transition-new(fade) {
    animation: var(--animation-fade-in), var(--animation-slide-in-up);
  }
}
